> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# List Transactions for an Extended Preauthorization

GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/extended-preauthorizations/{ExtendedPreauthorizationId}/transactions

This call returns all preauthorized pay-ins, both captures and complements, made against a given extended preauthorization, whether they were successful or not.

Reference: https://docs.mangopay.com/api-reference/transactions/list-transactions-extended-preauthorization

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.
- `ExtendedPreauthorizationId` (string, required) — The unique identifier of the extended preauthorization.

### Query parameters

- `Status` (string, optional) — **Allowed values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction. You can filter on multiple values by separating them with a comma.
- `ResultCode` (string, optional) — The code indicating the result of the operation. You can filter on multiple values by separating them with a comma.
- `BeforeDate` (integer, optional) — The date before which the transaction was created (based on the transaction's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
- `AfterDate` (integer, optional) — The date after which the transaction was created (based on the transaction's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.

## Response

### 200

Success

- `Array (Transactions)` (list of ListTransactionsResponseArrayTransactionsItems, optional) — The list of transactions created by the platform.

## Types

### ListTransactionsResponseArrayTransactionsItems

- `Object (transaction)` (TransactionResponse, optional)

### TransactionResponse

- `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object.
- `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`.
- `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created.
- `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction.
- `CreditedUserId` (string, optional) — **Default value:** The unique identifier of the owner of the credited wallet. The unique identifier of the user whose wallet is credited.
- `DebitedFunds` (TransactionResponseDebitedFunds, optional) — Information about the debited funds.
- `CreditedFunds` (TransactionResponseCreditedFunds, optional) — Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).
- `Fees` (TransactionResponseFees, optional) — Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
- `Status` (string, optional) — **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED` The status of the transaction.
- `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
- `ResultMessage` (string, optional) — The explanation of the result code.
- `ExecutionDate` (integer, optional) — Unix timestamp (UTC) of the date and time the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
- `Type` (string, optional) — **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT` The type of the transaction.
- `Nature` (string, optional) — **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT` The nature of the transaction, providing more information about the context in which the transaction occurred: - `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow. - `REPUDIATION` – Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback). - `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay). - `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
- `CreditedWalletId` (string, optional) — The unique identifier of the credited wallet.
- `DebitedWalletId` (string, optional) — The unique identifier of the debited wallet.

### TransactionResponseDebitedFunds

Information about the debited funds.

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### TransactionResponseCreditedFunds

Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

### TransactionResponseFees

Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

- `Currency` (string, optional) — **Allowed values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the amount.
- `Amount` (integer, optional) — The amount of the currency in its minor unit. For example, EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`.

## Examples

**Response**

```json
[
  {
    "AuthorId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
    "CreationDate": 1721742582,
    "CreditedFunds": {
      "Amount": 19000,
      "Currency": "EUR"
    },
    "CreditedUserId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
    "CreditedWalletId": "wlt_m_01J18J1SQGG6KXNM3F8GD674TP",
    "DebitedFunds": {
      "Amount": 20000,
      "Currency": "EUR"
    },
    "DebitedWalletId": null,
    "DepositId": "ext_auth_m_01J3FXN0PAAYJCYMWMM8DRGY5A",
    "ExecutionDate": 1721742583,
    "Fees": {
      "Amount": 1000,
      "Currency": "EUR"
    },
    "Id": "1d703749-8b07-4d82-8473-528e9b0322cc",
    "Nature": "REGULAR",
    "ResultCode": "000000",
    "ResultMessage": "Success",
    "Status": "SUCCEEDED",
    "Tag": "Created using Mangopay API Postman Collection",
    "Type": "PAYIN"
  },
  {
    "AuthorId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
    "CreationDate": 1721742590,
    "CreditedFunds": {
      "Amount": 9000,
      "Currency": "EUR"
    },
    "CreditedUserId": "user_m_01J18HZSACR1EMYNY1TBS8KTJD",
    "CreditedWalletId": "wlt_m_01J18J1SQGG6KXNM3F8GD674TP",
    "DebitedFunds": {
      "Amount": 10000,
      "Currency": "EUR"
    },
    "DebitedWalletId": null,
    "DepositId": "ext_auth_m_01J3FXN0PAAYJCYMWMM8DRGY5A",
    "ExecutionDate": 1721742591,
    "Fees": {
      "Amount": 1000,
      "Currency": "EUR"
    },
    "Id": "05cb5843-1207-4382-aa04-25b5dc994847",
    "Nature": "REGULAR",
    "ResultCode": "000000",
    "ResultMessage": "Success",
    "Status": "SUCCEEDED",
    "Tag": "Created using the Mangopay API Collection postman",
    "Type": "PAYIN"
  }
]
```

**SDK Code**

```python
from pprint import pprint
import mangopay

mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'

from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)

from mangopay.resources import ExtendedPreauthorization

list_transactions_extended_preauthorization = ExtendedPreauthorization.get_transactions('5ac7a986-cf01-47f0-a882-8b0928ae5458')

pprint(list_transactions_extended_preauthorization)

```

```javascript
const mangopay = require('mangopay4-nodejs-sdk');

const api = new mangopay({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
    baseUrl: 'https://api.sandbox.mangopay.com'
});

api.ExtendedPreauthorizations.getTransactions('preauth_m_01J333VFZYAYF6QTZ4Q5ENA9F9', (data) => {
    console.log(data);
});

```

```java
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Pagination;
import com.mangopay.entities.Transaction;

import java.util.List;

public class ListTransactionsForExtendedPreauthorization {
    public static void main(String[] args) throws Exception {
        MangoPayApi mangopay = new MangoPayApi();
        mangopay.getConfig().setClientId("your-client-id");
        mangopay.getConfig().setClientPassword("your-api-key");

        var extendedPreauthorizationId = "ext_auth_m_01J333VFZYAYF6QTZ4Q5ENA9F9";

        List<Transaction> transactions = mangopay.getExtendedPreauthorizationApi().getTransactions(extendedPreauthorizationId, new Pagination(1, 10), null, null);

        Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
        String prettyJson = prettyPrint.toJson(transactions);
        System.out.println(prettyJson);
    }
}

```

```csharp
using MangoPay.SDK;
using MangoPay.SDK.Core;
using Newtonsoft.Json;

class Program
{
    static async Task Main(string[] args)
    {
        MangoPayApi api = new MangoPayApi();
        api.Config.ClientId = "your-client-id";
        api.Config.ClientPassword = "your-api-key";

        var extendedPreauthorizationId = "preauth_m_01J333VFZYAYF6QTZ4Q5ENA9F9";

        var viewTransactions = await api.ExtendedPreauthorizations.GetTransactionsAsync(extendedPreauthorizationId, new FilterTransactions(), new Pagination(1, 100));

        string prettyPrint = JsonConvert.SerializeObject(viewTransactions, Formatting.Indented);
        Console.WriteLine(prettyPrint);
    }
}

```

```php
<?php

require_once 'vendor/autoload.php';

use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;

$api = new MangoPayApi();

$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';

try {
    $extendedPreauthorizationId = 'extendedpreauth_m_01JH5W6ZE4FZFYY583XGK1AJAT';

    $transactions = $api->ExtendedPreauthorizations->GetTransactions($extendedPreauthorizationId);

    print_r($transactions);
} catch(MGPResponseException $e) {
    print_r($e);
} catch(MGPException $e) {
    print_r($e);
}

```

```ruby
require 'mangopay'

MangoPay.configure do |c|
  c.client_id     = 'your-client-id'
  c.client_apiKey = 'your-api-key'
end

transactions = MangoPay::ExtendedPreauthorization.get_transactions('preauth_m_01J333VFZYAYF6QTZ4Q5ENA9F9')

pp transactions

```